WordPress - Troubleshooting - I have "Parse error: syntax error, unexpected T_STRING in /[...]/weglot.php" during the installation of Weglot

In this article, you'll find how to troubleshoot this error "Parse error: syntax error, unexpected T_STRING in /[...]/weglot.phpduring the installation of Weglot.  

If you had this error when installing Weglot on your WordPress website, it means that the PHP version of your website is less than 5.3
You need to update the PHP version of your website up to 5.3 so that Weglot works on your website.
You can find how to update the PHP version of your website  here

Still need help? Contact Us Contact Us